import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteReplicationSubnetGroupMessage,
  DeleteReplicationSubnetGroupResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteReplicationSubnetGroupCommandInput
  extends DeleteReplicationSubnetGroupMessage {}
export interface DeleteReplicationSubnetGroupCommandOutput
  extends DeleteReplicationSubnetGroupResponse,
    __MetadataBearer {}
declare const DeleteReplicationSubnetGroupCommand_base: {
  new (
    input: DeleteReplicationSubnetGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationSubnetGroupCommandInput,
    DeleteReplicationSubnetGroupCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteReplicationSubnetGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationSubnetGroupCommandInput,
    DeleteReplicationSubnetGroupCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteReplicationSubnetGroupCommand extends DeleteReplicationSubnetGroupCommand_base {
  protected static __types: {
    api: {
      input: DeleteReplicationSubnetGroupMessage;
      output: {};
    };
    sdk: {
      input: DeleteReplicationSubnetGroupCommandInput;
      output: DeleteReplicationSubnetGroupCommandOutput;
    };
  };
}
