import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeFleetAdvisorSchemasRequest,
  DescribeFleetAdvisorSchemasResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeFleetAdvisorSchemasCommandInput
  extends DescribeFleetAdvisorSchemasRequest {}
export interface DescribeFleetAdvisorSchemasCommandOutput
  extends DescribeFleetAdvisorSchemasResponse,
    __MetadataBearer {}
declare const DescribeFleetAdvisorSchemasCommand_base: {
  new (
    input: DescribeFleetAdvisorSchemasCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorSchemasCommandInput,
    DescribeFleetAdvisorSchemasCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeFleetAdvisorSchemasCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorSchemasCommandInput,
    DescribeFleetAdvisorSchemasCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeFleetAdvisorSchemasCommand extends DescribeFleetAdvisorSchemasCommand_base {
  protected static __types: {
    api: {
      input: DescribeFleetAdvisorSchemasRequest;
      output: DescribeFleetAdvisorSchemasResponse;
    };
    sdk: {
      input: DescribeFleetAdvisorSchemasCommandInput;
      output: DescribeFleetAdvisorSchemasCommandOutput;
    };
  };
}
