import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeReplicationTasksMessage,
  DescribeReplicationTasksResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeReplicationTasksCommandInput
  extends DescribeReplicationTasksMessage {}
export interface DescribeReplicationTasksCommandOutput
  extends DescribeReplicationTasksResponse,
    __MetadataBearer {}
declare const DescribeReplicationTasksCommand_base: {
  new (
    input: DescribeReplicationTasksCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationTasksCommandInput,
    DescribeReplicationTasksCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeReplicationTasksCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationTasksCommandInput,
    DescribeReplicationTasksCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeReplicationTasksCommand extends DescribeReplicationTasksCommand_base {
  protected static __types: {
    api: {
      input: DescribeReplicationTasksMessage;
      output: DescribeReplicationTasksResponse;
    };
    sdk: {
      input: DescribeReplicationTasksCommandInput;
      output: DescribeReplicationTasksCommandOutput;
    };
  };
}
