import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeEndpointsCommandInput } from "../commands/DescribeEndpointsCommand";
import { DatabaseMigrationServiceClient } from "../DatabaseMigrationServiceClient";
export declare const waitForEndpointDeleted: (
  params: WaiterConfiguration<DatabaseMigrationServiceClient>,
  input: DescribeEndpointsCommandInput
) => Promise<WaiterResult>;
export declare const waitUntilEndpointDeleted: (
  params: WaiterConfiguration<DatabaseMigrationServiceClient>,
  input: DescribeEndpointsCommandInput
) => Promise<WaiterResult>;
