import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  MoveReplicationTaskMessage,
  MoveReplicationTaskResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface MoveReplicationTaskCommandInput
  extends MoveReplicationTaskMessage {}
export interface MoveReplicationTaskCommandOutput
  extends MoveReplicationTaskResponse,
    __MetadataBearer {}
declare const MoveReplicationTaskCommand_base: {
  new (
    input: MoveReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    MoveReplicationTaskCommandInput,
    MoveReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: MoveReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    MoveReplicationTaskCommandInput,
    MoveReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class MoveReplicationTaskCommand extends MoveReplicationTaskCommand_base {
  protected static __types: {
    api: {
      input: MoveReplicationTaskMessage;
      output: MoveReplicationTaskResponse;
    };
    sdk: {
      input: MoveReplicationTaskCommandInput;
      output: MoveReplicationTaskCommandOutput;
    };
  };
}
