import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import { RunFleetAdvisorLsaAnalysisResponse } from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface RunFleetAdvisorLsaAnalysisCommandInput {}
export interface RunFleetAdvisorLsaAnalysisCommandOutput
  extends RunFleetAdvisorLsaAnalysisResponse,
    __MetadataBearer {}
declare const RunFleetAdvisorLsaAnalysisCommand_base: {
  new (
    input: RunFleetAdvisorLsaAnalysisCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RunFleetAdvisorLsaAnalysisCommandInput,
    RunFleetAdvisorLsaAnalysisCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [RunFleetAdvisorLsaAnalysisCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    RunFleetAdvisorLsaAnalysisCommandInput,
    RunFleetAdvisorLsaAnalysisCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class RunFleetAdvisorLsaAnalysisCommand extends RunFleetAdvisorLsaAnalysisCommand_base {
  protected static __types: {
    api: {
      input: {};
      output: RunFleetAdvisorLsaAnalysisResponse;
    };
    sdk: {
      input: RunFleetAdvisorLsaAnalysisCommandInput;
      output: RunFleetAdvisorLsaAnalysisCommandOutput;
    };
  };
}
