import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartDataMigrationMessage,
  StartDataMigrationResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartDataMigrationCommandInput
  extends StartDataMigrationMessage {}
export interface StartDataMigrationCommandOutput
  extends StartDataMigrationResponse,
    __MetadataBearer {}
declare const StartDataMigrationCommand_base: {
  new (
    input: StartDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartDataMigrationCommandInput,
    StartDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartDataMigrationCommandInput,
    StartDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartDataMigrationCommand extends StartDataMigrationCommand_base {
  protected static __types: {
    api: {
      input: StartDataMigrationMessage;
      output: StartDataMigrationResponse;
    };
    sdk: {
      input: StartDataMigrationCommandInput;
      output: StartDataMigrationCommandOutput;
    };
  };
}
