import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartMetadataModelExportAsScriptMessage,
  StartMetadataModelExportAsScriptResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartMetadataModelExportAsScriptCommandInput
  extends StartMetadataModelExportAsScriptMessage {}
export interface StartMetadataModelExportAsScriptCommandOutput
  extends StartMetadataModelExportAsScriptResponse,
    __MetadataBearer {}
declare const StartMetadataModelExportAsScriptCommand_base: {
  new (
    input: StartMetadataModelExportAsScriptCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelExportAsScriptCommandInput,
    StartMetadataModelExportAsScriptCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartMetadataModelExportAsScriptCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelExportAsScriptCommandInput,
    StartMetadataModelExportAsScriptCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartMetadataModelExportAsScriptCommand extends StartMetadataModelExportAsScriptCommand_base {
  protected static __types: {
    api: {
      input: StartMetadataModelExportAsScriptMessage;
      output: StartMetadataModelExportAsScriptResponse;
    };
    sdk: {
      input: StartMetadataModelExportAsScriptCommandInput;
      output: StartMetadataModelExportAsScriptCommandOutput;
    };
  };
}
